package meinclient;

import javax.naming.*;
import javax.rmi.PortableRemoteObject;
import meinsessionbeanpkg.IHelloWorldHome;
import meinsessionbeanpkg.IHelloWorld;

public class HelloWorldApp
{
  public static void main( String[] args ) throws Exception
  {
    Context ctx = new InitialContext();
    // Je nach Java EE Application Server bzw. Deployment-Descriptor:
    //   "HelloWorld" oder
    //   "meinsessionbeanpkg.IHelloWorldHome"
    Object  ref = ctx.lookup( "meinsessionbeanpkg.IHelloWorldHome" );
    IHelloWorldHome home = (IHelloWorldHome) PortableRemoteObject.narrow(
                                               ref, IHelloWorldHome.class );
    IHelloWorld helloWorld = home.create( (0<args.length)?args[0]:null );
    System.out.println( helloWorld.sayHello() );
    System.out.println( helloWorld.sayHello() );
    System.out.println( helloWorld.getCount() );
  }
}
