#=====================================================================================
# Installiert im WebLogic:
#   "MeineDomain" und "MeinMySqlDataSourceName"
# Aufruf:
#   call C:\WebLogic\wlserver_10.3\server\bin\setWLSEnv.cmd
#   "%JAVA_HOME%\bin\java" %JVM_ARGS% weblogic.WLST WLST-Domain-DataSource.py
#=====================================================================================

readTemplate("C:/WebLogic/wlserver_10.3/common/templates/domains/wls.jar")

cd('Servers/AdminServer')
set('ListenAddress','')
set('ListenPort', 7001)
create('AdminServer','SSL')
cd('SSL/AdminServer')
set('Enabled', 'True')
set('ListenPort', 7002)

cd('/')
cd('Security/base_domain/User/weblogic')
cmo.setPassword('weblogic0')

cd('/')
create('MeinMySqlDataSourceName', 'JDBCSystemResource')
cd('JDBCSystemResource/MeinMySqlDataSourceName/JdbcResource/MeinMySqlDataSourceName')
create('myJdbcDriverParams','JDBCDriverParams')
cd('JDBCDriverParams/NO_NAME_0')
set('DriverName','com.mysql.jdbc.Driver')
set('URL','jdbc:mysql://192.168.178.32:3306/MeineDb')
set('PasswordEncrypted', 'mysqlpwd')
create('myProps','Properties')
cd('Properties/NO_NAME_0')
create('user', 'Property')
cd('Property/user')
cmo.setValue('root')

cd('/JDBCSystemResource/MeinMySqlDataSourceName/JdbcResource/MeinMySqlDataSourceName')
create('myJdbcDataSourceParams','JDBCDataSourceParams')
cd('JDBCDataSourceParams/NO_NAME_0')
set('JNDIName', java.lang.String("jdbc/MeinDatasourceJndiName"))

cd('/JDBCSystemResource/MeinMySqlDataSourceName/JdbcResource/MeinMySqlDataSourceName')
create('myJdbcConnectionPoolParams','JDBCConnectionPoolParams')
cd('JDBCConnectionPoolParams/NO_NAME_0')
set('TestTableName','SQL SELECT 1')

cd('/')
assign('JDBCSystemResource', 'MeinMySqlDataSourceName', 'Target', 'AdminServer')

setOption('OverwriteDomain', 'true')
writeDomain('C:/WebLogic/user_projects/domains/MeineDomain')
closeTemplate()

exit()
